Results 1 to 1 of 1

Thread: Failed to build Qt 6.3.0 from source on Ubuntu 22.04.

Hybrid View

Previous Post Previous Post   Next Post Next Post
  1. #1
    Join Date
    Sep 2009
    Location
    Surrey, BC, Canada
    Posts
    107
    Thanks
    1
    Thanked 2 Times in 1 Post
    Qt products
    Qt5 Qt/Embedded
    Platforms
    Unix/X11 Windows

    Question Failed to build Qt 6.3.0 from source on Ubuntu 22.04.

    Hi, all:

    My ENV:

    Qt Code:
    1. -> ~ uname -r
    2. 5.15.0-27-generic
    3. -> ~ lsb_release -a
    4. No LSB modules are available.
    5. Distributor ID: Ubuntu
    6. Description: Ubuntu 22.04 LTS
    7. Release: 22.04
    8. Codename: jammy
    9. -> ~ gcc --version
    10. gcc (Ubuntu 11.2.0-19ubuntu1) 11.2.0
    11. Copyright (C) 2021 Free Software Foundation, Inc.
    12. This is free software; see the source for copying conditions. There is NO
    13. warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    14.  
    15. -> ~ python --version
    16. Python 3.10.4
    To copy to clipboard, switch view to plain text mode 


    I'm trying to build Qt 6.3.0 from source, but ./configure brought me the following 2 ERROR messages directly:

    1. Could NOT find Qt6WebSockets (missing: Qt6WebSockets_DIR)

      Qt Code:
      1. Configuring 'qtmqtt'
      2. -- Could NOT find Qt6WebSockets (missing: Qt6WebSockets_DIR)
      3. CMake Warning at qtbase/lib/cmake/Qt6/Qt6Config.cmake:263 (message):
      4. Failed to find Qt component "WebSockets".
      5.  
      6. Expected Config file at
      7. "....../qt-everywhere-src-6.3.0/qtbase/lib/cmake/Qt6WebSockets/Qt6WebSocketsConfig.cmake"
      8. does NOT exist
      9.  
      10. Call Stack (most recent call first):
      11. qtmqtt/CMakeLists.txt:14 (find_package)
      To copy to clipboard, switch view to plain text mode 

      And line **14** of `qtmqtt/CMakeLists.txt` is
      Qt Code:
      1. find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Quick WebSockets # For tests # special case
      2. Gui Widgets) # For examples # special case
      To copy to clipboard, switch view to plain text mode 

    2. Targets not yet defined: draco_static

      Qt Code:
      1. Configuring 'qtquick3d'
      2. CMake Error at /usr/lib/x86_64-linux-gnu/cmake/draco/draco-targets.cmake:37 (message):
      3. Some (but not all) targets in this export set were already defined.
      4.  
      5. Targets Defined: draco_shared
      6.  
      7. Targets not yet defined: draco_static
      8.  
      9. Call Stack (most recent call first):
      10. /usr/lib/x86_64-linux-gnu/cmake/draco/draco-config.cmake:36 (include)
      11. /usr/lib/x86_64-linux-gnu/cmake/assimp-5.2/assimpConfig.cmake:37 (find_package)
      12. qtquick3d/cmake/FindWrapQuick3DAssimp.cmake:7 (find_package)
      13. qtbase/cmake/QtFindPackageHelpers.cmake:130 (find_package)
      14. qtquick3d/src/plugins/assetimporters/configure.cmake:13 (qt_find_package)
      15. qtquick3d/src/plugins/assetimporters/CMakeLists.txt:9 (include)
      To copy to clipboard, switch view to plain text mode 



    Can anybody give me a hand please?

    Thank you very much...
    Last edited by jiapei100; 28th April 2022 at 10:04.
    Welcome to Vision Open
    http://www.visionopen.com

Similar Threads

  1. Replies: 5
    Last Post: 30th January 2020, 18:01
  2. Replies: 0
    Last Post: 6th July 2019, 11:06
  3. Replies: 0
    Last Post: 15th July 2015, 08:56
  4. failed to assigned loader source component
    By joko in forum Qt Quick
    Replies: 14
    Last Post: 12th January 2015, 15:52
  5. Failed to build Qt 4.7.1 in a shadow build with feature tuning
    By myfifth in forum Installation and Deployment
    Replies: 0
    Last Post: 17th February 2011, 04:25

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Digia, Qt and their respective logos are trademarks of Digia Plc in Finland and/or other countries worldwide.